body {
  font-family: 'Roboto Mono', monospace;
  min-height: 854px;
  background-image: url('https://guikao.files.wordpress.com/2012/01/pokemon_wallpaper01_1680.jpg');
  background-color: #187ad5;
  background-size: cover;
  background-position: center top;
}

.container {
  text-align: center;
  padding: 20px;
  height: 100vh;
}

.page-title {
  color: #ffffff;
  margin: 0 0 5px;
}

h2 {
  color: #ffffff;
  margin: 0 0 5px;
}

#ans2 {
  color: #ffffff;
  margin: 0 0 5px;
}

.page-subtitle {
  color: #ffffff;
  margin-top: 5px;
}

.page-logo {
  width: 200px;
}

.pokemon-spark {
  width: 400px;
  height: 250px;
  background-image: url('https://3.bp.blogspot.com/-H8cw4oVE78c/V4j3TBTL0SI/AAAAAAAABZI/QhZx30p-B2Inc5YDlyiekL8AdKS_IxkgACLcB/s1600/poke.png');
  margin: 0 auto;
  margin-top: 10px;
  position: center;
  background-size: cover;
  border-radius: 8px;
}

.alura-logo {
  width: 40px;
  position: absolute;
  top: 10px;
  right: 10px;
}

#pokemon-image {
  height: 90%;
  width: auto;
  position: center;
  margin-right: 100px;
}

.gen_label {
  color: white;
}

.poster {
  width: 60%;
  height: 60%;
}

.poster-box {
  width: 90%;
  height: 100%;
  border-radius: 25px;
  position: absolute;
  border: 6px solid #ead8ed;
  background-color: #ead8ed;
}

.poster-box:hover {
  border: 6px solid #E37D89;
  background-color: #E37D89;
}

.poster-box-sel {
  width: 90%;
  height: 100%;
  border-radius: 25px;
  position: absolute;
  border: 6px solid #9b3fab;
  background-color: #ead8ed;
}

.poster-box-sel:hover {
  width: 90%;
  height: 100%;
  border-radius: 25px;
  position: absolute;
  border: 6px solid #9b3fab;
  background-color: #E37D89;
}

.poster-box-staccato {
  width: 90%;
  height: 100%;
  border-radius: 25px;
  position: absolute;
  background-color: #ead8ed;
  animation: blinkingBorder 1.2s infinite;
}

.poster-box-staccato:hover {
  width: 90%;
  height: 100%;
  border-radius: 25px;
  position: absolute;
  background-color: #E37D89;
  animation: blinkingBorder 1.2s infinite;
}

@keyframes blinkingBorder {
  0% {
    border: 6px solid #9b3fab;
  }

  49% {
    border: 6px solid #9b3fab;
  }

  60% {
    border: 6px solid transparent;
  }

  99% {
    border: 6px solid transparent;
  }

  100% {
    border: 6px solid #9b3fab;
  }
}

.poster-title {
  margin: 10px;
  vertical-align: middle;
  text-align: center;
  position: relative;
  color: black;
  background-color: transparent;
}

a.link {
  margin: 20px 10px;
  display: inline-block;
  width: 180px;
  height: 180px;
  text-decoration: none;
  position: relative;
}

body>img {
  margin: 0 10px;
}

button {
  border: 1;
  padding: 15px 20px;
  font-size: 16px;
  border-radius: 8px;
  border-color: #0270b5;
  background-color: #e3221c;
  color: #ffcb05;
  font-weight: bold;
  cursor: pointer;
  transition: .3s;
}

button:hover {
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24), 0 17px 50px 0 rgba(0, 0, 0, 0.19);
}

input[type="text"] {
  display: block;
  margin: 10px auto;
  padding: 10px 15px;
  border-radius: 5px;
  border-color: #0270b5;
  text-align: center;
  font-weight: bold;
  width: auto;
  text-transform: uppercase;
}

::-webkit-input-placeholder {
  text-transform: none;
}

.loader {
  border-radius: 50%;
  border-top: 16px solid #e1221d;
  border-bottom: 16px solid #20eade;
  border-left: 16px solid #fcc905;
  border-right: 16px solid #0d63a4;
  width: 180px;
  height: 180px;
  margin-top: 10px;
  display: inline-block;
  -webkit-animation: spin 2s linear infinite;
  /* Safari */
  animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}